#ifndef STYLESHEETHANDLER_H
#define STYLESHEETHANDLER_H

#include <QString>

#include <QVariant>

class StyleSheetHandler {
public:
  StyleSheetHandler() = delete;
  ~StyleSheetHandler() = delete;

private:
  static QString find(const QString &styleSheet, const QString &property, int index,
                   int &start, int &length);

public:
  static QVariant value(const QWidget *widget, const QString &property,
                        int index);
  static void setValue(QWidget *widget, const QString &property,
                       int index, const QVariant &value);
};

#endif // STYLESHEETHANDLER_H
